DefaultStringConverter (JavaFX 13)

Module javafx.base
Package javafx.util.converter

## Class DefaultStringConverter

- java.lang.Object
- - javafx.util.StringConverter<String>
  - - javafx.util.converter.DefaultStringConverter

-     public class DefaultStringConverter
      extends StringConverter<String>

  `StringConverter` implementation for `String` values.

  Since:
    JavaFX 2.1

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultStringConverter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `fromString​(String value)` | Converts the string provided into an object defined by the specific converter.
    `String` | `toString​(String value)` | Converts the object provided into its string form.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultStringConverter

          public DefaultStringConverter()

  - ### Method Detail

    - #### toString

          public String toString​(String value)

      Converts the object provided into its string form. Format of the returned string is defined by the specific converter.
      Specified by:
        `toString` in class `StringConverter<String>`
      Parameters:
        `value` - the object of type `T` to convert
      Returns:
        a string representation of the object passed in.

    - #### fromString

          public String fromString​(String value)

      Converts the string provided into an object defined by the specific converter. Format of the string and type of the resulting object is defined by the specific converter.
      Specified by:
        `fromString` in class `StringConverter<String>`
      Parameters:
        `value` - the `String` to convert
      Returns:
        an object representation of the string passed in.